Bug 1876442 - Custom Query Text field remain filled with previously ran query
Summary: Custom Query Text field remain filled with previously ran query
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-07 08:42 UTC by Jaivardhan Kumar
Modified: 2020-09-09 09:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6539 None open Bug 1876442: fixes custom query selection should not show any query 2020-09-07 08:49:36 UTC

Description Jaivardhan Kumar 2020-09-07 08:42:05 UTC
Description of problem:
When user ran a query from the Select Query dropdown, eg. CPU Usage, and then selects the Custom Query Option from the same dropdown, the text field for custom query is filled with query for CPU Usage

Prerequisites (if any, like setup, operators/versions):
NA

Steps to Reproduce
- Open the Metrics tab on Monitoring page
- Selects CPU Usage query from Select Query drop down
- Now, selects Custom Query

Actual results:
You can see that the text field for the custom query is already filled with query to get the CPU Usage

Expected results:
The field should be empty to let user add whatever he wants.

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
Build Version: 4.6.0-0.nightly-2020-09-02-210353

Browser: Google Chrome Version 84.0.4147.89

Comment 3 Gajanan More 2020-09-09 09:58:16 UTC
I have validated the bugzilla on:

Build: 4.6.0-0.nightly-2020-09-09-003430

Browser: Google Chrome Version 85.0.4183.102

Marking this as verified.


Note You need to log in before you can comment on or make changes to this bug.